import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

// A class designed to be extended in order to write simple GUI
// programs.  It provides a very small subset of the functions
// supported by the Squint GUIManager
public class MiniManager extends JFrame implements ActionListener
{
    // Make it easier to access the content pane
    public Container contentPane;
    
    public MiniManager() {
    }     

    // Create the user interface window
    public void createWindow( int width, int height ) {
        this.setSize( width, height );
        this.setVisible( true );
        contentPane = this.getContentPane();
        contentPane.setLayout( new FlowLayout() );
    }

    // Invoke method to respond when user clicks the buttons
    public void actionPerformed( ActionEvent e ) {
        this.buttonClicked();
        validate();
    }
    
    // A placehoder for the event handling method that
    // should be defined when MiniManager is extended
    public void buttonClicked() {
        // Do nothing
    }
}
