import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

// A small (and familiar) program to illustrate the basics of how
// to provide a GUI using code that looks a lot like code that depends
// on Squint without any help from Squint.  The program adds a copy of
// the words "That tickles" to the display each time its button is pressed
public class MiniManagerTouchyButton extends MiniManager {

    private final int WINDOW_WIDTH = 170, WINDOW_HEIGHT = 300;
    
    private JLabel aLabel = new JLabel( "Click on the button below" );
    private JButton aButt = new JButton( "Click Here" );
    
    // Place the desired GUI components in the window
    public MiniManagerTouchyButton() {
        this.createWindow( WINDOW_WIDTH, WINDOW_HEIGHT );
        contentPane.add( aLabel );     
        contentPane.add( aButt );
        
        aButt.addActionListener( this );
        validate();
    }
    
    // Add text to the window whenever the user clicks
    public void buttonClicked() {
        contentPane.add( new JLabel( "That tickles!" ) );
    }
}
