import javax.swing.*;
import java.awt.Color;

/*
 * Class PickAColor - Set text color using buttons
 */
public class PickAColor extends ComponentManager
{
   // Change these values to adjust the size of the program's window
   private final int WINDOW_WIDTH  = 300;
   private final int WINDOW_HEIGHT = 150;

   // Buttons used to select colors
   private JButton redButton = new JButton( "RED" );
   private JButton greenButton = new JButton( "GREEN" );
   private JButton blueButton = new JButton( "BLUE" );
   
   // Message that provides instructions and shows color selected
   private JLabel message = new JLabel( "P I C K   A   C O L O R." );
   
   /*
    *  Create a GUI including three colored buttons and a bit of
    *  text whose color will be controlled by the buttons
    */
    public PickAColor() {
      // Create window to hold all the components
      this.createWindow( WINDOW_WIDTH, WINDOW_HEIGHT );
   
      redButton.setForeground( Color.RED );
      greenButton.setForeground( Color.GREEN );
      blueButton.setForeground( Color.BLUE );

      contentPane.add( redButton );
      contentPane.add( greenButton );
      contentPane.add( blueButton );
      
      contentPane.add( message );
    }

   /*
    *  Set the text to a color that matches the button clicked
    */
    public void buttonClicked( JButton which ) {
        message.setForeground( which.getForeground() );
    }
 
}
