import javax.swing.*;
import java.awt.Color;
import java.awt.*;
import java.awt.event.*;

/*
 * Class PickAColor - Set text color using buttons
 */
public class SquintFreePickAColor extends JFrame implements ActionListener
{
   // Change these values to adjust the size of the program's window
   private final int WINDOW_WIDTH  = 300;
   private final int WINDOW_HEIGHT = 150;

   // Buttons used to select colors
   private JButton redButton = new JButton( "RED" );
   private JButton greenButton = new JButton( "GREEN" );
   private JButton blueButton = new JButton( "BLUE" );
   
   // Message that provides instructions and shows color selected
   private JLabel message = new JLabel( "P I C K   A   C O L O R." );
   
   // Make it easy to access the content pane
   private Container contentPane;

   /*
    *  Create a GUI including three colored buttons and a bit of
    *  text whose color will be controlled by the buttons
    */
    public void init() {
      // Create window to hold all the components
      this.setSize( WINDOW_WIDTH, WINDOW_HEIGHT );
      this.setVisible( true );
      contentPane = this.getContentPane();
      contentPane.setLayout( new FlowLayout() );
   
      redButton.setForeground( Color.RED );
      greenButton.setForeground( Color.GREEN );
      blueButton.setForeground( Color.BLUE );

      contentPane.add( blueButton );      
      contentPane.add( greenButton );
      contentPane.add( redButton );
      
      blueButton.addActionListener( this );
      greenButton.addActionListener( this );
      redButton.addActionListener( this );

      contentPane.add( message );
      validate();
    }

   /*
    *  Set the text to a color that matches the button clicked
    */
    public void actionPerformed( ActionEvent e ) {
        JButton which = (JButton) e.getSource();
        message.setForeground( which.getForeground() );
    }
 
    public SquintFreePickAColor() {
        this.init();
    }
}
