import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

// A small (and familiar) program to illustrate some basic GUI features
// provided by the standard Java Swing Library.  
// The program adds a copy of the words "That tickles" to the display 
// each time its button is pressed
public class SquintFreeTouchyButton extends JFrame implements ActionListener {
    private final int WINDOW_WIDTH = 170, WINDOW_HEIGHT = 300;
    
    private JLabel aLabel = new JLabel( "Click on the button below" );
    private JButton aButt = new JButton( "Click Here" );
   
    // Make it easy to access the content pane
    private Container contentPane;

    // Create the user interface window
    public SquintFreeTouchyButton() {
        this.setSize( WINDOW_WIDTH, WINDOW_HEIGHT );
        this.setVisible( true );
        contentPane = this.getContentPane();
        contentPane.setLayout( new FlowLayout() );
       
        contentPane.add( aLabel );     
        contentPane.add( aButt );
        
        aButt.addActionListener( this );
        validate();
    }

    // Add text to the window whenever the user clicks
    public void actionPerformed( ActionEvent e ) {
        contentPane.add( new JLabel( "That tickles!" ) );
        validate();
    }
}
