import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

// A small (and familiar) program to illustrate how some basic GUI features
// provided by the standard Java Swing Library can be used as Squint does.  
// The program adds a copy of the words "That tickles" to the display 
// each time its button is pressed
public class SquintLikeTouchyButton extends JFrame 
                                    implements ActionListener {
    private final int WINDOW_WIDTH = 170, WINDOW_HEIGHT = 300;
    
    private JLabel aLabel = new JLabel( "Click on the button below" );
    private JButton aButt = new JButton( "Click Here" );

    // Create the user interface window
    public SquintLikeTouchyButton() {
        this.createWindow( WINDOW_WIDTH, WINDOW_HEIGHT );

        contentPane.add( aLabel );     
        contentPane.add( aButt );

        aButt.addActionListener( this );
        validate();
    }
    
    // Add text to the window whenever the user clicks
    public void buttonClicked() {
        contentPane.add( new JLabel( "That tickles!" ) );
    }
    
    // Make it easier to access the content pane
    private Container contentPane;

    // Set up the window and its layout
    public void createWindow( int width, int height ) {
        this.setSize( width, height );
        this.setVisible( true );
        contentPane = this.getContentPane();
        contentPane.setLayout( new FlowLayout() );
    }

    // Invoke method to respond when user clicks the buttons
    public void actionPerformed( ActionEvent e ) {
        this.buttonClicked();
        validate();
    }
}